class Point:
# A point representing a location in (x,y) coordinate space, specified in integer precision.

	def __init__(self, loc_x, loc_y):
	#Constructs and initializes a point at the specified (x,y) location in the coordinate space.
		self.x = loc_x
		self.y = loc_y

	def translate(self, dx, dy):
	#Translates this point, at location (x,y), by dx along the x axis and dy along the y axis so that it now represents the point (x+dx,y+dy).
		self.x += dx
		self.y += dy
		
	def halfway(self, target):
	#Returns the halfway point between myself and the target 
		mx = (self.x + target.x)/2
		my = (self.y + target.y)/2
		return Point(mx, my)
	
	def reflect_x(self):
	#Returns a new Point, one which is the reflection of the point about the x-axis.
		return Point(self.x, -(self.y))

	def slope_from_origin(self):
	#Returns the slope of the line joining the origin to the point. 
		return (self.y)/ (self.x)
		
	def to_string(self):
		return "({0}, {1})".format(self.x, self.y)

	def __str__(self):
	#Computes the "informal" string representations of a Point.
		return "({0}, {1})".format(self.x, self.y)
		
class Square:
# The Square class creates a new square with the specified side.
	def __init__(self, s):
	#Creates a new instance of Square with a specified side.
		self.side = s

	def perimeter(self):
	#Calculates the perimeter of a square.
		return self.side * 4

	def __repr__(self):
	#Computes the "official" string reputation of a Square
		return 'Square({})'.format(self.side)

	def __str__(self):
	#Computes the "informal" string representations of a Square.
		return str(self.side) + ' x ' + str(self.side) + ' Square'

"""Write the __repr__ method for the Square class created earlier.

Would it be useful to implement a __str__ method?
ANS:  Perhaps, depending on the way that you wanted to print the output

What would you choose to produce as output from a __str__ method?
ANS:  Perhaps something like "N x N square", where N is the length of the side
"""